> ## Documentation Index
> Fetch the complete documentation index at: https://docs.appz.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Domain

> Delete a previously registered domain name from Appz. Deleting a domain will automatically remove any associated aliases.



## OpenAPI

````yaml DELETE /domains/{domain}
openapi: 3.1.0
info:
  version: 1.0.0
  title: Appz Api
servers:
  - url: https://api.youappz.dev
    description: Production API
security:
  - Bearer: []
paths:
  /domains/{domain}:
    delete:
      tags:
        - domains
      description: >-
        Delete a previously registered domain name from Appz. Deleting a domain
        will automatically remove any associated aliases.
      parameters:
        - schema:
            type: string
            description: The name of the domain to be deleted.
          required: true
          description: The name of the domain to be deleted.
          name: domain
          in: path
        - schema:
            type: string
            description: >-
              The Team identifier or Team slug to perform the request on behalf
              of.
            query:
              name: teamId
              in: query
            example: team_xbtegd63gdg5636gdg
          required: true
          name: teamId
          in: query
      responses:
        '204':
          description: The domain was successfully deleted and no content is returned.
        '400':
          description: Returns a validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 400
                  message:
                    type: string
                    example: >-
                      One of the provided values in the request body/query is
                      invalid
                required:
                  - code
                  - message
        '401':
          description: ''
        '403':
          description: You do not have permission to access this resource.
        '404':
          description: The domains was not found
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````